OPNsense Forum

English Forums => 18.1 Legacy Series => Topic started by: Headologic on January 16, 2018, 10:08:08 am

Title: [SOLVED] Is the i386 architecture supported with OPNsense 18.1 and later?
Post by: Headologic on January 16, 2018, 10:08:08 am
Hello,

is the i386 architecture supported with OPNsense 18.1 and later?

The question arises because I have some ALIX 2D13 that I want to install with the OPNsense,
but I don't know how long OPNsense supports i386.

Thanks

Regards
Mike
Title: Re: Is the i386 architecture supported with OPNsense 18.1 and later?
Post by: monstermania on January 16, 2018, 11:09:32 am
Hi Mike,
this was disscussed some time ago: https://forum.opnsense.org/index.php?topic=4780.msg19810#msg19810
With FreeBSD 12 OPNsense probably ends the x86 (32Bit) support.  ;)

best regards
Dirk
Title: Re: Is the i386 architecture supported with OPNsense 18.1 and later?
Post by: franco on January 16, 2018, 11:36:04 am
To be a wee bit more precise: i386 will be available with 18.1 and 18.7 for sure.


Cheers,
Franco
Title: Re: Is the i386 architecture supported with OPNsense 18.1 and later?
Post by: Headologic on January 16, 2018, 12:12:22 pm
Thank you for the fast answers.  :)

So i think, it's better for us, to stop installing i386 for this year to save much work and use only x64 for the future.

@franco: Short question: Why publish only 18.1 & 18.7 with i386 support? I assumed that every released version (18.1, 18.2 18.3,....) had both architectures until OPNsense 19.1 resp. FreeBSD 12 appears.  ::)

Regards
Mike
Title: Re: [SOLVED] Is the i386 architecture supported with OPNsense 18.1 and later?
Post by: franco on January 16, 2018, 01:02:58 pm
The problem is we don't know when FreeBSD and therefore HardenedBSD 12 are going to be available and whether we wait for 12.1 or not. ;)

Besides that, we only have two major releases each year and they are called yy.1 and yy.7 to correspond with the month of their release.  So that's all of our releases for each year.


Cheers,
Franco